Package: org.grails.core.io

## [Java] Class StaticResourceLoader

- org.grails.core.io.StaticResourceLoader

- All Implemented Interfaces and Traits:
    org.springframework.core.io.ResourceLoader

      public class StaticResourceLoader
      extends java.lang.Object
      implements org.springframework.core.io.ResourceLoader

  A ResourceLoader that loads resources from a statically defined base resource.

  Authors:
    Graeme Rocher
  Since:
    0.5

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static org.slf4j.Logger` | `LOG` |
    `private org.springframework.core.io.Resource` | `baseResource` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.lang.ClassLoader` | `getClassLoader()`
    `` | `public org.springframework.core.io.Resource` | `getResource(java.lang.String location)`
    `` | `public void` | `setBaseResource(org.springframework.core.io.Resource baseResource)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private static final org.slf4j.Logger LOG

    - #### private org.springframework.core.io.Resource baseResource

  - ### Method Detail

    - #### public java.lang.ClassLoader getClassLoader()

    - #### public org.springframework.core.io.Resource getResource(java.lang.String location)

    - #### public void setBaseResource(org.springframework.core.io.Resource baseResource)